# Configuration file for the Sphinx documentation builder.
#
# For the full list of built-in configuration values, see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Project information -----------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#project-information

project = 'Doc Infra'
copyright = '2025, Michaël Ricart'
author = 'Michaël Ricart'

# -- General configuration ---------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#general-configuration

extensions = [
    "sphinx_datatables",
    "sphinxcontrib.jquery",
]

templates_path = ['_templates']
exclude_patterns = []

language = 'fr'

# -- Options for HTML output -------------------------------------------------
# https://www.sphinx-doc.org/en/master/usage/configuration.html#options-for-html-output

html_theme = "sphinx_rtd_theme"
# These folders are copied to the documentation's HTML output
html_static_path = ['_static']

# These paths are either relative to html_static_path
# or fully qualifieed paths (eg. https://...)
#html_style = 'css/custom.css'
html_css_files = [
    'css/custom.css',
]
html_theme_options = {
    # Toc options
    'collapse_navigation': False,
    'navigation_depth': -1,
}
rst_epilog = """
.. include:: colors.rst
"""
datatables_options = {
    "scrollY": 300,
    "paging": False,
}
